Debian Bug report logs - #468115
Support for mount failure hooks.

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Luke Yelavich <luke.yelavich@canonical.com>

Date: Wed, 27 Feb 2008 03:24:04 UTC

Severity: wishlist

Tags: pending

Found in version initramfs-tools/0.91e

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#468115; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Luke Yelavich <luke.yelavich@canonical.com>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luke Yelavich <luke.yelavich@canonical.com>
To: submit@bugs.debian.org
Subject: Support for mount failure hooks.
Date: Wed, 27 Feb 2008 14:21:28 +1100
[Message part 1 (text/plain, inline)]
Package: initramfs-tools
Severity: wishlist
Version: 0.91e
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch hardy ubuntu

Attached is a patch to allow scripts in either local-top or init-premount to register hook to perform specific actions in the event the root device cannot be found. A good use for this is when an attemt is made to find the device that contains an LVM volume. If the root device cannot be found, lvm can then be queried to present the user with information about what may be wrong with their volumes. This patch applies against git head. This is part of the Ubuntu specification for better initramfs reliability, found at the following URL: https://wiki.ubuntu.com/HardyInitramfsErrorHandling
[mountroot_failure_hooks.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Sven Mueller <debian@incase.de> to control@bugs.debian.org. (Fri, 27 Feb 2009 12:51:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#468115; Package initramfs-tools. (Tue, 08 Jun 2010 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 08 Jun 2010 13:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 468115@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Luke Yelavich <luke.yelavich@canonical.com>, 468115@bugs.debian.org
Cc: maximilian attems <max@stro.at>
Subject: Re: Bug#468115: Support for mount failure hooks.
Date: Tue, 8 Jun 2010 15:00:03 +0200
[Message part 1 (text/plain, inline)]
* Luke Yelavich <luke.yelavich@canonical.com> [Wed Feb 27, 2008 at 02:21:28PM +1100]:

> Attached is a patch to allow scripts in either local-top or
> init-premount to register hook to perform specific actions in the
> event the root device cannot be found. A good use for this is when
> an attemt is made to find the device that contains an LVM volume.
> If the root device cannot be found, lvm can then be queried to
> present the user with information about what may be wrong with
> their volumes. This patch applies against git head. This is part
> of the Ubuntu specification for better initramfs reliability,
> found at the following URL:
> https://wiki.ubuntu.com/HardyInitramfsErrorHandling

Thanks for the patch.

maks, any objections against integration of this feature?
initramfs-tools_0.92bubuntu78 (current version of i-t in Ubuntu)
seems to use a slightly different version, though it would be good
if could synchronize i-t of Ubuntu and Debian as much as possible.

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Mon, 16 May 2011 15:09:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Wed, 18 May 2011 16:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#468115; Package initramfs-tools. (Mon, 25 Jun 2012 05:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 25 Jun 2012 05:15:03 GMT) Full text and rfc822 format available.

Message #21 received at 468115@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: maximilian attems <maks@debian.org>
Cc: 468115@bugs.debian.org
Subject: Re: tagging 468115
Date: Mon, 25 Jun 2012 07:13:57 +0200
maximilian attems wrote (18 May 2011 16:29:43 GMT) :
> tags 468115 + pending

What happened to this patch / bug report ("Support for mount failure
hooks")?




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:57:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.